blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
4331ae3273b7152fc463086391d5b9654077694c | Shell | sfoolish/2000-3000-hours | /4_Shell/2_tools/squid_install.sh | UTF-8 | 1,741 | 2.8125 | 3 | [] | no_license | #!/usr/bin/env bash
function squid3_package_install() {
apt-get update
apt-get install -y squid3
}
function squid3_config() {
if [[ ! -f /etc/squid3/squid.conf_bkp ]]; then
mv /etc/squid3/squid.conf /etc/squid3/squid.conf_bkp
fi
cat > /etc/squid3/squid.conf << EOF
acl all s... | true |
7de3e30532f75cd7b061241ed0a77575a6cfc5d7 | Shell | aptira/cloudify-manager-install | /packaging/install.sh | UTF-8 | 538 | 2.8125 | 3 | [] | no_license | #!/usr/bin/env bash
echo "
###########################################################################
Cloudify installer is ready!
To install Cloudify Manager, run:
cfy_manager install --private-ip <PRIVATE_IP> --public-ip <PUBLIC_IP>
(Use cfy_manager -h for a full list of options)
You can specify more installation ... | true |
0da5dd46eb753587da7f7ad70ebfe7a84b909f6f | Shell | ShuaiZhao/SDN-BenchMark-Shuai | /ryu/app/SDN-BenchMarkProject/scripts/SDN_benchmark_switch_remote_ops/remote_delete_ovs_flows.sh | UTF-8 | 469 | 2.8125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
USERNAME=szb53
Switches="128.104.159.147 128.104.159.148 128.104.159.149".
OVS_BR=ofpbr
CMD_Delete_Flow="hostname; sudo ovs-ofctl -O Openflow13 del-flows ${OVS_BR}"
echo "Remove ICMP_LOG"
rm ./network-data2/ofp_icmp_log.db
echo "Remove IPERF_LOG"
rm ./network-data2/ofp_iperf_log.db
echo "Remove ICMP REROUT... | true |
b659f128a509104ae0c58007285f0e22815f0e16 | Shell | rahulyesantharao/ryunzip | /scripts/testfile.sh | UTF-8 | 1,405 | 4.34375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
function cleanup { # filename, passed
if [ $2 -ne 0 ]; then # failed
rm -f "$1.txt"
mv "$1.1.txt" "$1.txt"
else # passed
mv "$1.1.txt" "passed/$1.txt"
rm "$1.txt"
fi
rm "$1.txt.gz"
exit $2
}
# Parameters Parsing
filename=""
verbose=0
if [ $# -ne 1 ] && [ $# -ne 2 ]; then # check ... | true |
bbb1182c609c53e7cbe4c52195ec6342f95e7a6a | Shell | Payero/PhotoMerger | /bin/photomerger | UTF-8 | 524 | 3.265625 | 3 | [] | no_license | #!/bin/bash
# Getting the directory where is running
PRG="$0"
progname=`basename "$0"`
saveddir=`pwd`
# need this for relative symlinks
dirname_prg=`dirname "$PRG"`
cd $dirname_prg
while [ -h "$PRG" ]; do
ls=`ls -ld "$PRG"`
link=`expr "$ls" : '.*-> \(.*\)$'`
if expr "$link" : '.*/.*' > /dev/null; then
PRG... | true |
41fd782e133b90272f33a1a7099a50de48905e2a | Shell | tvkent/Grandiflora_recombination | /Scripts/vcf_to_ldhat.sh | UTF-8 | 523 | 2.609375 | 3 | [
"CC0-1.0"
] | permissive | #!/bin/bash
#Convert VCF file to LDhat format
#Tyler Kent
#October 27, 2015
#run this from base
set -e
set -u
id=scaf1_sub12.vcf.recode
chr=scaffold_1
data=./Grandiflora_recombination/Data/${id}.vcf.gz
err=./Grandiflora_recombination/Results/Err/${id}_vcf_to_ldhat.err
out=./Grandiflora_recombination/Results/${id}.ld... | true |
9f6fe1ca65f93581e1038cf848c4092b5759bd73 | Shell | aws/aws-ec2-instance-connect-config | /bin/integration-test/run_instance.sh | UTF-8 | 3,274 | 3.921875 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Copyright 2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License"). You
# may not use this file except in compliance with the License. A copy of
# the License is located at
#
# http://aws.amazon.com/apache2.0/
#
# or in the "license"... | true |
78277555bd0cbc57728c740654eba2dc87eddd33 | Shell | dt-demos/keptn-docker-tasks | /build.sh | UTF-8 | 365 | 3.296875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
image=$1
tag=$(cat version)
if [ -z $image ]; then
echo "ABORTING: Image is a required argument"
echo "example usage: ./build.sh dtdemos/keptn-docker-tasks"
exit 1
fi
echo "==============================================="
echo "build $image:$tag"
echo "==============================================... | true |
4466cbb367f6aec826105fb4cf82a8eddba1d582 | Shell | Stepdan/ImageVis3D | /Scripts/nightly.sh | UTF-8 | 1,772 | 3.28125 | 3 | [
"MIT",
"BSD-2-Clause"
] | permissive | #!/bin/sh
source Scripts/util.sh
spec="linux-g++"
if test `uname` = "Darwin" ; then
spec="macx-g++"
fi
vcs_update
version
revision
if test "x$1" != "x--dirty" ; then
make clean &>/dev/null
# manual clean, just in case Qt's clean isn't good enough (it isn't.)
find . \( -iname \*.o -or -iname moc_\*.cp... | true |
f89e927356698f0d3b12ce9cdee1623fed554163 | Shell | pump-io/pump.io | /util/migrate-uploaddir.sh | UTF-8 | 2,538 | 4.21875 | 4 | [
"Apache-2.0",
"OFL-1.1",
"CC-BY-4.0"
] | permissive | #!/bin/bash
function run() {
umask 077
# Check for a sed with \?
if ! [ $(echo abc | sed 's/b\?c//') = a ]; then
echo $0: your sed does not support '\?' 1>&2
exit 1
fi
# Sanity check the provided path
if [ -z ${1+x} ]; then
echo Please specify the location of your pump.io.json 1>&2
exit 1
elif ... | true |
263b22dbc6eb34cc263f940efb096c865fae26c7 | Shell | srirambtechit/linux | /shell-scripting-basics/concepts/smenu.sh | UTF-8 | 360 | 3.25 | 3 | [] | no_license | #!/bin/sh
dialog --backtitle "Linux Shell Script Tutorial " --title "Main\
Menu" --menu "Move using [UP] [DOWN], [Enter] to Select" 15 50 3
Date/Time "Shows Date and Time" Calendar "To see calendar" Editor "To start vi editor" 2> /tmp/menuitem.$$
menuitem=`cat /tmp/menuitem.$$`
opt=$?
case $menuitem in
Date/time) d... | true |
7a53e3c66cedc8e69bfe618d8614421202d754ff | Shell | Slysidus/plugins-archive | /package.sh | UTF-8 | 295 | 2.78125 | 3 | [] | no_license | # Update the Core dependency
(cd ../Core && mvn deploy -DskipTests)
# Package and deploy to local repo if distributionManagement is configured
command=$([[ -n "$(xpath -q -e project/distributionManagement/ pom.xml)" ]] && echo "deploy" || echo "package")
mvn -Duser.name="Lightning" "$command"
| true |
44df138b3c82225af855593223b523d492a0c8ec | Shell | nonameffh/docker-image | /php/7.4/bin/phpctl.install | UTF-8 | 1,119 | 2.828125 | 3 | [] | no_license | #!/usr/bin/env sh
set -xe
export CFLAGS="$PHP_CFLAGS" \
CPPFLAGS="$PHP_CPPFLAGS" \
LDFLAGS="$PHP_LDFLAGS"
gnu_arch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"
## download, verify and extract sources
phpctl.source download && phpctl.source verify && phpctl.source extract
## build
cd /usr/src/php \
... | true |
21a4448d552af893f81e96e9c5dfcdc698fe1dd4 | Shell | amandasaurus/camarabuntu | /bin/extract-cd-contents.sh | UTF-8 | 974 | 4.25 | 4 | [] | no_license | #! /bin/bash
ISO=$1
DIR_NAME=$2
function help {
echo "USAGE: $0 <path of .iso> <path to dir to extract to>"
exit
}
case $1 in
"-h"|"--help")
help
esac
if [ ! "$ISO" -o ! "$DIR_NAME" ] ; then
help
fi
function cleanup {
local status=$1
sudo umount "${TMP_DIR}"
r... | true |
05c6126be309797b51e3652f43dfeea7d6dafa6a | Shell | HubBucket-Team/mongo-c-driver | /.evergreen/abi-compliance-check.sh | UTF-8 | 1,812 | 3.609375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -o xtrace # Write all commands first to stderr
set -o errexit
# create all needed directories
mkdir abi-compliance
mkdir abi-compliance/changes-install
mkdir abi-compliance/latest-release-install
mkdir abi-compliance/dumps
# build the current changes
export SKIP_TESTS=ON
export EXTRA_CONFIGURE_FLAGS... | true |
efbbc670ad689680273551862664c2bc3765ba3c | Shell | rostonn/ph | /startup.sh | UTF-8 | 180 | 2.890625 | 3 | [] | no_license | SERIAL="$(cat /proc/cpuinfo | grep Serial | cut -d ':' -f 2)"
SERIAL="module.exports='$SERIAL';"
#${string//substring/replacement}
SERIAL="${SERIAL// }"
echo $SERIAL > serial.js
| true |
522ccdc2852bf7de184d532cbf73e2b1d9bc8dbe | Shell | jcantrill/service-example | /.s2i/bin/assemble | UTF-8 | 194 | 2.578125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash -x
APP_DIR=/opt/app-root/src
tmp=`mktemp -d`
git clone --depth 1 https://github.com/jcantrill/service-example.git $tmp
cp -r $tmp/* $APP_DIR
rm -rf $tmp
cd $APP_DIR
npm install
| true |
e9094192d8c0bd7a0287ccae248869cf35b0ea19 | Shell | Postwork/Integration | /scripts/script_master.sh | UTF-8 | 2,927 | 3.578125 | 4 | [] | no_license | #!/bin/bash
source /var/www/postwork/postwork.itinet.fr/scripts/source.sh
while :
do
echo "Bienvenue Sur le script master de Postwork.
1: Tchat
2: Base de données
3: FQDN
4: Mail
5: Qrcode
6: Vhost
7: Ajouter un utilisateur avec toutes les options
8: Ajouter un site à un utilisateur
9: Creer un u... | true |
24ab0cf7e8b90a8f8fdfd85fb44bf320410b218f | Shell | mjaglan/docker-kafka-zookeeper | /third-party/scripts/yahoo-kafka-manager.sh | UTF-8 | 558 | 3.1875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# check $ZK_HOSTS variable
echo "ZK_HOSTS=$ZK_HOSTS"
# got to git repository
cd $KAFKA_MANAGER_SERVICE
# run the service
nohup ./bin/kafka-manager -Dapplication.home=$(pwd) -Dconfig.file=conf/application.conf -Dhttp.port=9000 > kafka-manager-service.log 2>&1 &
echo "PID: $!"
# wait for few seconds unti... | true |
9be5d524dae08734dc551b68d25aa9b76da18229 | Shell | SLeviyang/Yoshida_OCR_Clustering | /Yoshida-GEO-ATACseq-process_workflow/yoshida-atacseq-workflow-steps/step3_bam2peaks/check_peaks.sh | UTF-8 | 372 | 3.234375 | 3 | [] | no_license | #!/bin/bash
base_dir="s3://yoshida-atacseq/peaks/"
all_cell_dirs=( $(aws s3 ls $base_dir | awk '{print $2}') )
echo ${all_cell_dirs[@]}
if [ -f check_output_file.txt ]
then
rm check_output_file.txt
fi
touch check_output_file.txt
for cd in ${all_cell_dirs[@]}:
do
echo $cd
echo $cd >> check_output_file.txt
aws... | true |
56130b8a9ecd1c9eeac711fce3443837dbc1aa53 | Shell | valencik/cssmuadm | /courses/csci3431/10-Create-CSCI3431-Users.sh | UTF-8 | 3,036 | 3.734375 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -e
#Configuration
courseShortName=os
path=/home/course/$courseShortName
mkdir -p $path
minAccount=00
maxAccount=50
instructor="tami"
marker="marker"
numberSubmissions=10
#Generate username/password file for usrpasswd command
if [ ! -f ./$courseShortName.usrpasswd ];
then
echo "Generating ne... | true |
a4a6abf351f1f15bdff123fcf4dc9d999026602e | Shell | plugn/dotfiles-1 | /bashrc | UTF-8 | 2,106 | 3.453125 | 3 | [] | no_license | if [ -n "$PS1" ]; then
export LANG=en_US.UTF-8
export TERM=xterm-256color
export PATH=$HOME/.dotfiles/bin/:$HOME/.gem/ruby/2.0.0/bin:$PATH
export PASSBOX_LOCATION=$HOME/Dropbox/.passwords.gpg
for file in $HOME/.dotfiles/includes/*.sh; do
[ -r "$file" ] && source "$file"
done
unse... | true |
da63511c736d5c1b46343154e74cfdfddf2e34e1 | Shell | shelvacu/mcfly | /dev.bash | UTF-8 | 522 | 3.0625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# Build mcfly and run a dev environment bash for local mcfly testing
if ! this_dir=$(cd "$(dirname "$0")" && pwd); then
exit $?
fi
rm -f target/debug/mcfly
rm -rf target/debug/deps/mcfly-*
cargo build
# For some reason, to get line numbers in backtraces, we have to run the binary directly.
HISTFILE=$H... | true |
e08990aaf01e4a85b9508bb203e36dd28becba6c | Shell | bnv2103/NGS | /WGS/refine_bam.sh | UTF-8 | 2,261 | 2.96875 | 3 | [] | no_license | #!/bin/bash
#$ -cwd
SAMTOOLS="/ifs/data/c2b2/ngs_lab/ngs/usr/bin/samtools"
REF="/ifs/data/c2b2/ngs_lab/ngs/resources/bwa_samtools_gatk_DB/human_g1k_v37.fasta"
chr=$1
DIR=$2"/"
$SAMTOOLS rmdup $DIR$chr.sorted.bam $DIR$chr.sorted.bam.noDup.bam
echo "Remove PCR Duplicates complete"
# rm $DIR$chr.sorted.bam
## Should a... | true |
b2bbffbbaed16f3eacef66535ccdf26c790c9a4b | Shell | ddopson/github-migration-tools | /bulk-replace.sh | UTF-8 | 864 | 3.515625 | 4 | [] | no_license | # Pull in 'config.sh'
SOURCE="${BASH_SOURCE[0]}"
while [ -h "$SOURCE" ] ; do SOURCE="$(readlink "$SOURCE")"; done
CURDIR="$( cd -P "$( dirname "$SOURCE" )" && pwd )"
source "${CURDIR}/config.sh"
while true; do
for d in *; do
if [ ! -d $d ]; then
continue;
fi
echo
echo "Entering '$d' ..."
cd... | true |
eb065e206d476e517f4ed59366bd085e6ebcb377 | Shell | TheAmazingPT/passman | /src/add-password.bash | UTF-8 | 1,434 | 3.90625 | 4 | [
"MIT"
] | permissive | function add_password {
local prompt account_name menu generated_password password_1 password_2 \
pasted_password confirmed_pasted_password
prompt="Enter Accountname: (service/username)"
account_name=$(echo | dmenu -i -p "$prompt")
if [[ -z "$account_name" ]]; then
exit
fi
prompt="Enter Password:... | true |
445affd40fe9d1dff7f16e4e9fc1bbb5883853f2 | Shell | gabesullice/shape-factory | /watch.sh | UTF-8 | 257 | 3.015625 | 3 | [] | no_license | #!/bin/bash
set -e
main () {
local testcmd=""
if [[ $# -gt 0 ]]; then
testcmd="/bin/bash -lc 'npm run build && npm run ava $@'"
else
testcmd="/bin/bash -lc 'npm run build && npm test'"
fi
notify -c "$testcmd" ./src ./tests
}
main $@
| true |
f04f755c21968ed43568befe96fc5dd88824c03d | Shell | Evan-Jams/SEIR_Waverider_Classwork | /unit_1/w01d02/homework/first_bash_instructions.bash | UTF-8 | 2,226 | 3.078125 | 3 | [
"CC-BY-NC-SA-4.0",
"CC-BY-NC-4.0",
"MIT",
"GPL-3.0-only",
"LicenseRef-scancode-proprietary-license"
] | permissive | # Copy this text into your `.bash` homework file. Copy and paste the code you successfully used into terminal below each prompt
# Open the **Terminal app**
# Create a new directory on your desktop called `galaxy_far_far_away`and enter it
# Create a directory called `death_star`
# and make the following files inside... | true |
5d546e8c5c13479cef426ebd84ae40f2226ca2fd | Shell | gisanfu/fast-change-dir | /study/backspace.sh | UTF-8 | 211 | 3.125 | 3 | [] | no_license | #!/bin/bash
backspace=$(echo -e \\b\\c)
echo 'please input backspace'
# 您可以利用Ctrl + H,就可以讀取到"倒退鍵"
read inputvar
if [ "$inputvar" == $backspace ]; then
echo 'READ backspace!'
fi
| true |
e94a3fefd2946ef2ebab8c42f47af2c9898afedb | Shell | mounikab13/test_project | /scripts/nanocount | UTF-8 | 1,518 | 2.8125 | 3 | [] | no_license | #!/bin/bash
basedir = /hpcnfs/home/ieo5306/projects/nanocount/data
#download FASTQ file from consortium in github which is generated using latest version of guppy
wget -P $basedir http://s3.amazonaws.com/nanopore-human-wgs/rna/fastq/NA12878-DirectRNA_All_Guppy_3.2.6.fastq.gz
gunzip NA12878-DirectRNA_All_Guppy_3.2... | true |
a6a41455a47d0d9ea0256ced4e21bc5ac016a741 | Shell | Universefei/osm_dbo | /importScripts/importpgChinaOSM.sh | UTF-8 | 1,028 | 3.5625 | 4 | [] | no_license | #!/usr/bin/env bash
# usage example
# $1 : host to import data to
# $2 : osm data path
# ->
# -> ./dumpChinaOSM.sh 192.168.3.137 ~/gisData/china-latest.osm.pbf
# ->
psql -h $1 -p 5432 -U postgres -l |grep china_osm_orig &> /dev/null
if [[ $? != 0 ]]; then
psql -h $1 -p 5432 -U postgres -c "create database china_o... | true |
aff8d39ebd63b8785482d394d306b7e1ac1be6fa | Shell | chuanwang/cloudgate | /bootstrap.sh | UTF-8 | 1,603 | 3.96875 | 4 | [] | no_license | #!/bin/bash
#################################################################
# Script to bootstrap the postgresql database #
#################################################################
# directory where postgresql is installed. Usually it is /usr/bin
POSTGRESQL_DIR=$1
# database cluster data ... | true |
bf1655582a23da1c2133c9a4db6ddfd6a1ca96f6 | Shell | stoneboy100200/daily_copy | /download_caffemodel.sh | UTF-8 | 446 | 3.3125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
read -p "Please input user name:" username
read -s -p "Please input password:" password
echo "user=$username, password=$password"
url=ftp://10.2.5.243:21/ftp/caffe_boost/caffe_mp.tar.bz2
CURRENT_DIR=$(dirname $(readlink -f $0))
echo "downloading caffe model..."
wget -c -t 0 $url --ftp-user=$username --f... | true |
a63a18cc0446d0c77c3294ce177a7c514ca8ef4d | Shell | ravija-maheshwari/Shell | /args.sh | UTF-8 | 200 | 3.15625 | 3 | [] | no_license | #! /bin/bash
echo My name is $0
echo My process number is $$
echo I have $# arguments
echo My arguments seperately are "$*"
echo My arguments together are "$@" #"$@"
echo My fifth argument is "'$5'" | true |
7db8065323e4ede4203f107c84fb15ad0abf0e28 | Shell | shortthirdman/mongo-enterprise | /mongodb-enterprise.sh | UTF-8 | 721 | 2.65625 | 3 | [
"MIT"
] | permissive | ## Set-Variable -Name "MONGODB_VERSION" -Value "4.2"
export MONGODB_VERSION=4.2
curl -O --remote-name-all https://raw.githubusercontent.com/docker-library/mongo/master/$MONGODB_VERSION/{Dockerfile,docker-entrypoint.sh}
## Set-Variable -Name "DOCKER_USERNAME" -Value "shortthirdman"
export DOCKER_USERNAME=shortthirdman... | true |
c10c25682c4991a288861e9161360f9cd22c2447 | Shell | sergey-goncharenko/azure-intrust-sergey-template | /DSC/configureLinuxVM.sh | UTF-8 | 1,989 | 4.03125 | 4 | [] | no_license | #!/bin/bash
#########################################################
# Script Name: configureLinuxVM.sh
# Author: Quest
# Version: 0.1
# Description:
# This script configures InTrust Agent
#
# Note :
# This script has only been tested on RedHat 7
#########################################################
#---BEGIN VA... | true |
1db1e4edf03e52015fb1c13c6d8e4cabe83bffe2 | Shell | kgolyaev/kgutils | /python/installPythonUbuntuLocal.sh | UTF-8 | 1,720 | 3 | 3 | [] | no_license | #! /bin/bash
######################################################################
###
### This script was developed to install Python and its components
### on a clean installation of Ubuntu 14.04 LTS (Trusty Tahr).
###
### It requires sudo priviliges, as may become apparent.
### It was tested a couple times on a cl... | true |
bca012e8b6bddb4a4d02d932c769326006102f02 | Shell | ClickHouse/ClickHouse | /packages/build | UTF-8 | 4,960 | 3.984375 | 4 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
set -e
# Avoid dependency on locale
LC_ALL=C
# Normalize output directory
if [ -n "$OUTPUT_DIR" ]; then
OUTPUT_DIR=$(realpath -m "$OUTPUT_DIR")
fi
CUR_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)
cd "$CUR_DIR"
ROOT_DIR=$(readlink -f "$(git rev-parse --show-cdup)")
PKG_ROOT='root'
DEB... | true |
b07ecf83e9182ef7f7c656c181baad601a7a0e4b | Shell | abcd567a/pfclient-linux-amd64 | /Install-pfclient-init.d.sh | UTF-8 | 2,282 | 3.421875 | 3 | [] | no_license | #!/bin/bash
BINARY_VERSION=pfclient_4.1.1_i386
RESOURCE_FOLDER=/usr/share/pfclient
sudo mkdir ${RESOURCE_FOLDER}
echo "Downloading i386 binary tarball " ${BINARY_VERSION}.tar.gz "from Planefinder.net"
sudo apt install wget
sudo wget -O ${RESOURCE_FOLDER}/${BINARY_VERSION}.tar.gz "http://client.planefinder.net/${BINARY... | true |
195b59c8ef142cc82f17b01315f494ce62728b9c | Shell | DrVache/Terminus | /TerminusQuest/Campus/Bethanie/CREMI/ENT_legendaire.sh | UTF-8 | 1,422 | 3.203125 | 3 | [] | no_license | #!/bin/bash
echo "Renseignes ton numéro étudiant puis copie-colle le lien de l’ENT dans ton mémo.
PS : Le numéro ENT est contenu dans le fichier carte_etudiante."
numetu=$(<../A22/inventaire/carte_etudiante.txt)
#lienutile=$(<../A22/inventaire/lien_utile.txt)
lienent=$(<lien_ent.txt)
lienutile=""
res=false
cd .... | true |
d634c07ef824c78e0b6714bd593dcd752303dee7 | Shell | david-stratusee/backup | /bin/create_cnip.sh | UTF-8 | 2,253 | 3.671875 | 4 | [] | no_license | #!/bin/bash -
#===============================================================================
# FILE: a.sh
# USAGE: ./a.sh
# AUTHOR: dengwei, david@holonetsecurity.com
# CREATED: 2015年09月15日 10:51
#===============================================================================
set -o nou... | true |
27e3895343e3e86be986645abba61fd4441ec253 | Shell | evkuz/vm119 | /script/check_os_version.sh | UTF-8 | 263 | 3.390625 | 3 | [] | no_license | #!/bin/bash
WHICH_RELEASE=$(cat /etc/redhat-release | cut -d ' ' -f4 | cut -d '.' -f1)
if [ $WHICH_RELEASE -eq 7 -o $WHICH_RELEASE -eq 6 ]
then
echo "$HOSTNAME is under Centos $WHICH_RELEASE"
else
echo "$HOSTNAME is under Unknown REDHAT version !!!"
fi
| true |
0455b817525dfacfa8697afd2892e04cb9469b4f | Shell | sensor-dream/Fedora-post-Install | /preparation/network_ifaces | UTF-8 | 9,016 | 3.53125 | 4 | [
"MIT"
] | permissive | #!/bin/env bash
# -*- coding: utf-8 -*-
#
## @File : network_ifaces
## @Author : sensor-dream (SDBS)
## @Email : sensor-dream@sensor-dream.ru
## @Site : https://sensor-dream.ru
## @Date : 11.03.2019, 5:56:05
#
# Декларируем имя файла
#
declare -rx preparation_network_ifaces_script_source="$BASH_SOURCE"
if [... | true |
b1bd1d408c9b3b6628c193d19fd0024570b6a92a | Shell | chen3feng/szl | /src/engine/language_tests/update | UTF-8 | 10,244 | 3.375 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
# Copyright 2010 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agree... | true |
7af7bbb52a8cc0a85d85206ae0191d81ff2e24ce | Shell | nancheal/docker-arachni | /scripts/startup.sh | UTF-8 | 3,835 | 2.640625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# Arachni Web Bootstrap
logo() {
cat <<FILE
[32m
▄▄▄· ▄▄▄ ▄▄▄· ▄▄· ▄ .▄ ▐ ▄ ▪ .▄▄ · ▄▄· ▄▄▄· ▐ ▄ ▐ ▄ ▄▄▄ .▄▄▄
▐█ ▀█ ▀▄ █·▐█ ▀█ ▐█ ▌▪██▪▐█•█▌▐███ ▐█ ▀. ▐█ ▌▪▐█ ▀█ •█▌▐█•█▌▐█▀▄.▀·▀▄ █·
▄█▀▀█ ▐▀▀▄ ▄█▀▀█ ██ ▄▄██▀▐█▐█▐▐▌▐█· ▄▀▀▀█▄██ ▄▄▄█▀▀█ ▐█▐▐▌▐█▐▐▌▐▀▀▪▄▐▀▀▄
▐█ ▪▐▌... | true |
57e0cfce55cee47a006a0ac9503a442858d228e0 | Shell | n1amr/dotfiles | /bin/open-url | UTF-8 | 286 | 3.71875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
BROWSER='firefox'
while [ $# -gt 0 ]; do
case "$1" in
--) shift ; break ;;
*) break ;;
esac
shift
done
open () { xdg-open "$1" & }
open_with_redirect () { open "$@" > /dev/null 2>&1 & }
for url in "$@"; do
open_with_redirect "$url"
done
| true |
1524d68bcf313faa90a99db40d5b2d5d5f223df3 | Shell | getsocial-rnd/neo4j-aws-ha-cluster | /docker-entrypoint.sh | UTF-8 | 22,076 | 3.5 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash -eu
# get more info from AWS environment:
# - instance im running on
# - my IP
# - AZ and region.
INSTANCE_ID=$(curl -s http://169.254.169.254/latest/meta-data/instance-id/)
INSTANCE_IP=$(curl -s http://169.254.169.254/latest/meta-data/local-ipv4/)
AZ=$(curl -s http://169.254.169.254/latest/meta-data/place... | true |
2a1e6c31f45997012860ab89f220cbd71e120692 | Shell | Kugumi/roger-skyline-1 | /scrup.sh | UTF-8 | 258 | 2.609375 | 3 | [] | no_license | #!/bin/sh
s=`sudo apt-get update`
p=`sudo apt-get upgrade`
echo "\n*******************************\n$(date)\n*******************************\n" >> /var/log/update_script.log
echo "$s\n" >> /var/log/update_script.log
echo "$p" >> /var/log/update_script.log
| true |
d448674dbbab6ea90314c5f85b18e7fee8eb72f9 | Shell | diadara/dispatch | /release.sh | UTF-8 | 761 | 3.4375 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -e
set -o pipefail
shopt -s nullglob
Package=github.com/khlieng/dispatch
BuildDir=$GOPATH/src/$Package/build
ReleaseDir=$GOPATH/src/$Package/release
BinaryName=dispatch
mkdir -p $BuildDir
cd $BuildDir
rm -f dispatch*
gox -ldflags -w $Package
mkdir -p $ReleaseDir
cd $ReleaseDir
rm -f dispatch*... | true |
7919b625d4a6275a962efa12f54569f86ebc978b | Shell | 1liujin/ChaosPlotter | /setup.sh | UTF-8 | 468 | 3.546875 | 4 | [] | no_license | #!/usr/bin/env bash
set -e
error() {
echo "Invoke this script with no arguments or '--no-venv' only."
exit 1
}
if [ $# -gt 1 ]; then
error
fi
if [[ $1 == "" ]]; then
command -v virtualenv >/dev/null 2>&1 || { echo >&2 "virtualenv is required but it's not installed. Aborting."; exit 1; }
virtualen... | true |
7bccdaeecc265197683ca15da903d61805a09a96 | Shell | clippaxa/chbook | /full.sh | UTF-8 | 1,366 | 3.5625 | 4 | [] | no_license | #!/bin/sh
set -x
arch=amd64
target=trusty
chroot_dir=trusty_rootfs
# Install git and debootstrap on the host
sudo apt-get update
sudo apt-get install -y -f debootstrap
# Create chroot
mkdir ${chroot_dir}
sudo debootstrap --arch=${arch} --variant=buildd ${target} ${chroot_dir}
# Need to bind /dev, /dev/pts, /proc, a... | true |
2044ff006831407c9fc3add30386d8b8a0a59ef0 | Shell | rmferrer/env_bootstrap | /setup.sh | UTF-8 | 3,675 | 3.859375 | 4 | [] | no_license | #!/bin/bash
# SETUP_URL="https://bit.ly/rmferrer_env_bootstrap" && /bin/bash -c "$(curl -fsSL ${SETUP_URL} || wget ${SETUP_URL} -O - )";
function _install_brew() {
/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install.sh)"
}
function _uname() {
echo "$(uname -a | tr '[:upper... | true |
dc54d3dc4e2a152f02025ac1cfec06dd1eb19100 | Shell | DeercoderPractice/shell | /abs/comment.sh | UTF-8 | 500 | 3.296875 | 3 | [
"MIT"
] | permissive | #! /bin/bash
echo 'The # here doesnot begin a comment'
echo "The # here doesnot begin a commnet"
echo The \# here does not begin a comment
echo The #这里是一个注释
echo ${PATH#*:} #参数替换,不是注释
echo $((2#101011)) #数制替换,不是注释
echo hello; echo there;
if [ -x "$filename" ]; then
#+
echo "File $filename exists."; cp $filenam... | true |
0feb675131aeccd3cd97ca77ce5cb857b7cd743a | Shell | narulkargunjan/lethril | /bin/lethril-twitterd | UTF-8 | 2,770 | 3.859375 | 4 | [
"MIT"
] | permissive | #!/bin/sh -e
# Get Config File if passed as argument 2
DEFAULTS=$2
DEFAULTS=${DEFAULTS:-"/etc/default/lethril-twitterd"}
. $DEFAULTS
NAME="Lethril Twitter Daemon"
. /lib/lsb/init-functions
# Are we running from init?
run_by_init() {
([ "$previous" ] && [ "$runlevel" ]) || [ "$runlevel" = S ]
}
check_dev_null()... | true |
e77236bbbedf761269e6aa4e55e0fd64b6d5bba0 | Shell | Haxine/MingTools | /bin/run-jre.sh | UTF-8 | 1,087 | 3.703125 | 4 | [
"Apache-2.0"
] | permissive | cd "$(dirname "$0")" # 进入该文件所在的文件夹
BASE_DIR=.
APP_NAME="ming-tools"
APP_JAR="${BASE_DIR}/lib/ming-tools.jar"
JAVA="${BASE_DIR}/jre/bin/java"
JAVA_OPT=""
SPRING_BOOT_OPT="--spring.config.location=${BASE_DIR}/conf/application.yaml"
${JAVA} -jar ${JAVA_OPT} ${APP_JAR} ${SPRING_BOOT_OPT} > ${APP_NAME}_start.out &
## 判断... | true |
20732a706e5dd6d54c8e2e42106efb220deef22a | Shell | XGWang0/Suse_testsuite | /sets/qa_testset_automation/automation/qaset/run/acceptance-run.openqa | UTF-8 | 2,527 | 3.53125 | 4 | [] | no_license | #!/bin/bash
if [[ -z ${TARGET_RELEASE} ]] ; then
echo "TARGET_RELEASE isn't defined!"
echo "Try parse it from /etc/SuSE-release"
if [[ -a /etc/os-release ]];then
source /etc/os-release
if [[ ! ${NAME:0:3} -eq 'SLE' ]];then
echo "Isn't SUSE SLE system"
exit 0
... | true |
044279cb1a28b3726eb418553de60c431d760c8c | Shell | roman-mueller/dotfiles | /bitbar/disapproval.sh | UTF-8 | 362 | 2.890625 | 3 | [] | no_license | #!/bin/bash
# <bitbar.title>ಠ_ಠ</bitbar.title>
# <bitbar.version>v1.0</bitbar.version>
# <bitbar.author.github>roman-mueller</bitbar.author.github>
# <bitbar.desc>ಠ_ಠ</bitbar.desc>
if [ "$1" = "copy" ]; then
echo -n "ಠ_ಠ" | LANG=en_US.UTF-8 pbcopy
exit 0
fi
echo 'ಠ_ಠ'
echo "---"
echo "Copy ಠ_ಠ | terminal=false b... | true |
1aece2174085c560b07ed327d4ccc56f03c38078 | Shell | UCSB-CS-RACELab/eager-appscale | /Eager/install/setup_mysql.sh | UTF-8 | 592 | 3.578125 | 4 | [
"BSD-3-Clause",
"Apache-2.0"
] | permissive | #!/bin/sh
echo "Setting Up MySQL for EAGER"
echo "=========================="
if command -v mysql > /dev/null; then
echo "MySQL already installed. Assuming the root password is correctly set."
else
export DEBIAN_FRONTEND=noninteractive
echo "Installing MySQL..."
apt-get -y install mysql-server
echo... | true |
44f8cad3b01946bfd0e9c53fe94483dcc2dbf93e | Shell | outtersg/guili | /_tinyproxy | UTF-8 | 4,771 | 3.921875 | 4 | [
"MIT"
] | permissive | #!/bin/sh
# Copyright (c) 2006 Guillaume Outters
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge,... | true |
78f5b0d3ffbfbcc84ecb31cb8525a1f15bfd866a | Shell | pcdshub/engineering_tools | /scripts/imgr | UTF-8 | 2,200 | 3.921875 | 4 | [
"LicenseRef-scancode-unknown-license-reference",
"BSD-2-Clause"
] | permissive | #!/bin/bash
# Define usage here for faster return
usage()
{
cat << EOF
usage: imgr <IOCNAME> [--hutch HUTCH] <OPTION>
Control status of all IOCs running in a particular hutch from the command line.
Current hutch is used if not provided.
List of options:
imgr IOCNAME [--hutch HUTCH] --reboot soft
imgr IOCNAME [--hutc... | true |
5e445f7ae593943d23474a664df389c0e6099791 | Shell | brycefrank/pyfor | /docs/update_docs.sh | UTF-8 | 228 | 2.6875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# This script autoregenerates pyfor's documentation for updates to master.
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )"
sphinx-apidoc -f -o api/ $DIR/../pyfor --separate
cd $DIR
make html
cd -
| true |
8dbb4a490df7cbb0fba3b39a3d8581814d149dc5 | Shell | olegartys/Mini2440-SDK | /lenny_sandbox/usr/lib/util-vserver/vserver-setup.functions | UTF-8 | 7,989 | 3.046875 | 3 | [] | no_license | # $Id: vserver-setup.functions 2517 2007-03-18 22:02:22Z dhozac $ --*- sh -*--
# Copyright (C) 2003,2004,2005,2006 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# ... | true |
334a4abf10558ba42d9c1ff19c1bea8f21037688 | Shell | syranez/bash-oauth | /GmailOAuth.sh | UTF-8 | 5,113 | 3.03125 | 3 | [
"BSD-3-Clause",
"MIT",
"BSD-2-Clause"
] | permissive | #!/bin/bash
# Copyright (c) 2010, Yu-Jie Lin
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# * Redistributions of source code must retain the above copyright notice,
# this list of condi... | true |
07efce580aa2a89d9127fa1b2fe748e92e818002 | Shell | racket/pkg-index | /planet-compat/s3.sh | UTF-8 | 434 | 2.59375 | 3 | [] | no_license | #!/bin/zsh
set -e
. ~/.profile
export PC_ROOT="${PC_ROOT:-~/Dev/scm/plt/extra-pkgs/pkg-index/planet-compat}"
export S3CFG_PLT="${S3CFG_PLT:-~/.s3cfg-plt}"
export S3_BUCKET="${S3_BUCKET:-planet-compats.racket-lang.org}"
export S3CMD="${S3CMD:-s3cmd}"
cd $(dirname $0)
raco make update.rkt static.rkt
racket update.rkt
... | true |
5d830e0ab42b9e0954974bd604d8bc54cae72b23 | Shell | qnib/plain-influxdb | /opt/qnib/influxdb/bin/start.sh | UTF-8 | 366 | 3.3125 | 3 | [
"Apache-2.0"
] | permissive | #! /bin/bash
set -m
influxd -pidfile /var/run/influxdb.pid -config /etc/influxdb/influxdb.conf ${INFLUXD_OPTS} &
sleep 3
if [ "X${INFLUXDB_DATABASES}" != "X" ];then
for db in $(echo ${INFLUXDB_DATABASES} |sed -e 's/,/ /g');do
echo "[INFO] Create database ${db}"
influx -host localhost -port 8086 -e... | true |
6b9e11d27c9c60a762c9b6bb223553c53228ba50 | Shell | fsmithred/scripts | /startfrisk.1 | UTF-8 | 2,626 | 4 | 4 | [] | no_license | #!/bin/bash
logdir="$HOME"/.xfrisk
# while loop to give options for exiting:
# There's now an option to restart the game,
# in case you closed it by accident.
# There's also an option to exit the script but
# keep the server running. Not sure what good that is,
# but if you do that, and then run the script again,... | true |
f549845b843dff73cae8787e52e5be457ad4325f | Shell | amalgam-silver/eldk-switch | /eldk-switch.sh | UTF-8 | 9,128 | 4.125 | 4 | [] | no_license | #!/bin/bash
#
# Call with "eval `eldk-switch.sh <arch, or board>`"
# e.g. put "eldk-switch() { eval `eldk-switch.sh $*`; }"
# in your .bashrc
#
# (C) 2007-2012 by Detlev Zundel, <dzu@denx.de> DENX Software Engineering GmbH
#
eldk_prefix=/opt/eldk-
rev=5.2
root_symlink=~/target-root
usage () {
echo "usage: $(basen... | true |
ceac7fb85fb2162359755c24ae05c819eaa61f22 | Shell | noone-fly/linuxshell | /autotaskBra/listener_debug.sh | UTF-8 | 1,041 | 3.1875 | 3 | [] | no_license | #!/bin/sh
#listener_debug.sh
rm autodebug 2>/dev/null
touch autodebug
for PID in `ps -ef | grep 'DEBUG' | awk '{print $2}'`
do
echo "pid : [$PID]" >> autodebug
done
process_num=`cat autodebug | wc -l`
if [ "$process_num" -gt "4" ];then
rm autodebug 2>/dev/null
./killprocess.sh 2>>logs/killProcessByTimeLog
... | true |
45449013a91ab6ea2de5d481dd5380d115fc6444 | Shell | hbalp/callers | /bin/indent_jsonfiles.sh | UTF-8 | 454 | 3.609375 | 4 | [] | no_license | #!/bin/bash
# Copyright (C) 2015 Thales Communication & Security
# - All Rights Reserved
# coded by Hugues Balp
# WARNING: We assume here that only one input parameter is present and correspond to a valid directory.
dir=$1
echo "Try to indent all json files present in directory \"${dir}\""
for json in `... | true |
8c8057e38fe75e65a7655e8b1ff80e7a4e9530e8 | Shell | alexharv074/encrypt_ami | /encrypt_ami.sh | UTF-8 | 6,825 | 3.984375 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
usage() {
echo "Usage: $0 [-h] SOURCE_IMAGE_ID \
IMAGE_NAME \
KMS_KEY_ID \
OS_TYPE \
[SUBNET_ID \
IAM_INSTANCE_PROFILE \
TAGS]"
exit 1
}
build_user_data() {
local os_type=$1
[ "$os_type" != "windows" ] && return
cat <<'EOF'
<powershell>
$Cmd = Get-WmiObject -Class Win32_OperatingSy... | true |
6e05887c5117e1ab1ea576f29482918b5674fed9 | Shell | rasoolianbehnam/ED | /cnit127/proj8x/run.sh | UTF-8 | 454 | 3.28125 | 3 | [] | no_license | fileName=$(echo $1 | cut -d'.' -f1)
extension=$(echo $1 | cut -d'.' -f2)
echo file name: $fileName
echo extension: $extension
if [ $extension = 'py' ]; then
echo python $1 | bash -x;
elif [ $extension = 'c' ]; then
#echo gcc -g -static -m32 -z execstack -no-pie -fno-stack-protector -o $fileName.out $1 | bash -x... | true |
715ef7c00625c12ace7ba7c7369f46e14090cea9 | Shell | rperea14/drigoscripts | /drigo_Tractography/older/drigo_AFTER_Tractography/drigo_BD_str2diff_targetsStep2.sh | UTF-8 | 1,363 | 3.34375 | 3 | [] | no_license | #!/bin/bash
#Rodrigo Perea
#Goal: This script should be executed after PROBTRACKX2 has been executed
# It will generate copy the necessary files
# to create a str2diff tranformations of the paths and generate the paths
# in diffusion space.
SOURCE=$( pwd )
#Variables to initialize
TARGET=$1
LDIR="L_str2diff_TARG... | true |
41f4e9b63a9b2dd9b2c4dd5729f55de34af7f8b3 | Shell | thiagonerys/universal_kotlin | /resources/scripts/apple/xcode.sh | UTF-8 | 2,101 | 3.375 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/bash
# This script is referenced in the following files:
# application/mobile/native/apple/ios/ios_x64_copying_framework/iosApp.xcodeproj/project.pbxproj
# application/mobile/native/apple/ios/ios_x64_framework/framework.xcodeproj/project.pbxproj
# application/mobile/native/apple/ios/ios_x64_with_framework... | true |
80d9369480ffad3058cb665e1296e222d0da2a17 | Shell | anastasiiaNG/variant_calling | /9_annovar.sh | UTF-8 | 984 | 2.625 | 3 | [] | no_license | #!/bin/bash
if [[ -z $1 ]]; then
echo "First argument is empty! Type the name of the vcf file"
exit
fi
samplename=$1
annovar "$samplename"_ann_b37.vcf $ngstools/annovar/humandb/ -buildver hg19 -out "$samplename" -remove -protocol refGene,cytoBand,genomicSuperDups,esp6500siv2_all,1000g2015aug_all,1000g2015aug_eur,ex... | true |
f35a9c57b9cff54307ca8c1d183bcea8c18ab55a | Shell | tjcelaya/dotfiles | /consul_cluster.sh | UTF-8 | 556 | 2.84375 | 3 | [] | no_license | case $1 in
*init*)
docker pull progrium/consul
;;
*start*)
JOIN_IP="$(docker inspect -f '{{.NetworkSettings.IPAddress}}' node1)"
docker run -d --name node2 -h node2 progrium/consul -server -join $JOIN_IP
docker run -d --name node3 -h node3 progrium/consul -server -join $JOIN_IP
docker run -d -p 8400:8400 -p... | true |
855640a80a4895f90d554261d79969bc675eb298 | Shell | KaneLab/GenotyperM | /GenotyperM_with_phasing.sh | UTF-8 | 5,627 | 3.734375 | 4 | [] | no_license | #This program turns a vcf table into a fasta file given a reference sequence
#Inputs are
# $1: multi fasta containing all references unwrapped
# $2: vcf output of an mpileup for one or multiple organisms versus a reference
# $3: relative or absolute filepath to the sorted.bam files. At present, the files must be in th... | true |
424816dfb82c8601cc8537cd1a6b3896769daf03 | Shell | famsedition/MISP-install-CentOS7 | /misp-preparations.sh | UTF-8 | 830 | 2.546875 | 3 | [] | no_license | #!/bin/bash
#######################################################################
# MISP CENTOS7 INSTALL SCRIPT #
# #
# Revised from: #
# https://misp.gith... | true |
8dbf7dc6d62c557d81d22281b4bea47b8883a8e0 | Shell | sanyecao2314/docker-nagios-1 | /postfix.sh | UTF-8 | 269 | 2.65625 | 3 | [] | no_license | #!/bin/bash
### In postfix.sh (make sure this file is chmod +x):
# `/sbin/setuser xxxxx` runs the given command as the user `xxxxx`.
# If you omit that part, the command will be run as root.
exec /usr/lib/postfix/master -d -c /etc/postfix >>/var/log/postfix.log 2>&1
| true |
7a97b3efa135020ff32036410e1f6be53a20a293 | Shell | larsla/oauth2_proxy | /entrypoint.sh | UTF-8 | 2,892 | 3.03125 | 3 | [] | no_license | #!/bin/bash
function generatesecret() {
< /dev/urandom tr -dc _A-Z-a-z-0-9 | head -c${1:-32};echo;
}
COOKIE_SECRET=${COOKIE_SECRET:-`generatesecret`}
PROVIDER=${PROVIDER:-"gitlab"}
EMAIL_DOMAIN=${EMAIL_DOMAIN:-"*"}
UPSTREAM_URL=${UPSTREAM_URL:-"http://127.0.0.1:1234"}
HTTP_ADDRESS=${HTTP_ADDRESS:-"0.0.0.0:4180"}
H... | true |
c1ea78fb046fa2ef85a5578cbf1b0d37a7e745ec | Shell | cutec-mac/promet-erp | /promet/setup/i386-linux/build_deb_7.sh | UTF-8 | 722 | 3.203125 | 3 | [] | no_license | #!/bin/bash
Program=$2
Widgetset=$1
Version=$3
Arch=$4
Archfpc=$5
Date=$6
BuildDir=$7
TmpDir=$8
sudo -S rm -rf $BuildDir
Subprogram=ocr
echo "copyright and changelog files..."
mkdir -p $BuildDir/usr/share/doc/$Program-$Subprogram
cp debian/copyright $BuildDir/usr/share/doc/$Program-$Subprogram/copyright
echo "creating ... | true |
9144f4b5b9c80126092b4cc40abb26af8abb93ec | Shell | tushargoyal02/bashScript | /untilLoop.sh | UTF-8 | 203 | 3.0625 | 3 | [] | no_license | #!/bin/bash
count=25
until [ $count -lt 10 ]; do
echo $count
let count=count-1
done
# the while loop could have never worked here
: 'while [ $count -lt 10 ]; do
echo "hello"
done '
| true |
255880b19c061595c9cbbb0cd642c76d87f9e2b8 | Shell | tchamabe1979/exareme | /Local-Deployment/portainer.sh | UTF-8 | 483 | 2.78125 | 3 | [] | permissive | #!/usr/bin/env bash
test -d ${PORTAINER_DATA} \
|| sudo mkdir -p ${PORTAINER_DATA} \
|| ( echo Failed to create ${PORTAINER_DATA}; exit 1 )
sudo docker service create \
--publish mode=host,target=${PORTAINER_PORT},published=9000 \
--constraint 'node.role == manager' \
--detach=true --mount type=bind,s... | true |
dd3edc27cad84454f554a2ae027e41f7d4bb7f70 | Shell | eschmar/postgresql-popcount | /helper/base.sh | UTF-8 | 1,090 | 3.734375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
RED='\033[0;31m'
CYAN='\033[0;36m'
MAGENTA='\033[0;35m'
NC='\033[0m'
trials=10
database="bit_count"
system="mysql"
units='false'
while getopts 't:d:s:u' flag; do
case "${flag}" in
t) trials=$OPTARG ;;
d) database=$OPTARG ;;
s) system=$OPTARG ;;
u) units='true' ;;
... | true |
50409cfa43831339af05fdd27f7b827f653b34c3 | Shell | mr-justin/apexaifbxxplore | /semplore/sortun.sh | UTF-8 | 167 | 2.65625 | 3 | [] | no_license | #!/bin/sh
split -C 200MB $1 $1.split
for f in $1.split*
do
sort -n -T . < $f | uniq > $f.sort
rm -f $f
done
sort -m $1.split*.sort | uniq
rm -f $1.split*.sort
| true |
040b02051e88695667fd864de0eaa4e0163b185a | Shell | BhatnagarKshitij/MSU_MScIT | /IST/Ex4/Ex4.sh | UTF-8 | 810 | 2.921875 | 3 | [] | no_license | #Question1
ls -1
ls -t
ls -S
ls -R
ls -r
echo "--------------------------------------------------";
#Question
echo "January
February
March
April
May
June
July
August
September
October
November
December" > file1.txt
echo "--------------------------------------------------";
#Question2
head -n4 file1.txt
echo "----------... | true |
719132ee51ea1777ce30f162e40e43fcf7197195 | Shell | picarodias/neo-cpp-core | /packages/lib-neopt-core-js/export-api-methods.sh | UTF-8 | 1,771 | 3.5625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# functions with EXPORT_NEO3API prefix (in Neo:: explicit namespace) will be automatically exported
# we expect these functions to be string -> string, so if signature is not this, export manually on .cpp file
echo "Listing EXPORT_NEO3API methods (remember to include Neo:: scope and auto-export only strin... | true |
f17a2c199b7f345738a1a62041b30fdd3de82afa | Shell | Eat1n/android101 | /bin/gen_jks | UTF-8 | 237 | 2.53125 | 3 | [] | no_license | #!/bin/sh
curr_pwd=${PWD}
cd $(dirname $0)
script_pwd=${PWD}
CERTS_DIR=${script_pwd}/../certs
mkdir -p ${CERTS_DIR}
rm -rf ${CERTS_DIR}/android.jks
keytool -keystore ${CERTS_DIR}/android.jks -genkey -alias ineat.in
ls -la ${CERTS_DIR}
| true |
110734444060d04dad878b2b118675c4111c47fa | Shell | lidel/dotfiles | /archive/bin/psi-mpd-tune.sh | UTF-8 | 273 | 2.53125 | 3 | [
"CC0-1.0",
"LicenseRef-scancode-public-domain"
] | permissive | #!/bin/sh
# Improved version of the original script from
# http://psi-im.org/wiki/Publish_Tune
# that takes advantage of MPD idle architecture
while [ 1 ] ; do
mpc current --format "%title%
%artist%
%album%
%track%
%time%" > ~/.psi/tune
mpc idle > /dev/null
done
| true |
191a3b72b072a699ea4f5c5c4e8e5bfd06c320b0 | Shell | gquittet/dotfiles | /scripts/.local/bin/stopwatch_ | UTF-8 | 686 | 3.78125 | 4 | [] | no_license | #!/bin/bash
hours=0
minutes=0
seconds=0
hoursString="0"
minutesString="0"
secondsString="0"
function renderTime {
if [ $1 -lt 10 ]
then
echo "0$1"
else
echo "$1"
fi
}
while :
do
seconds=$(($seconds+1))
# Compute time
if [ $seconds -ge 60 ]
then
seconds=0
... | true |
03e1d6ccc278de2d48c17e7d56af99f6d2f6db27 | Shell | minghao2016/md-scripts-1 | /DES-IRC/des_irc.py | UTF-8 | 699 | 3.0625 | 3 | [] | no_license | #!/bin/bash
# This script loops through all the DES folders in the working directory
# and submits the Gromacs simulation job.
from pathlib import Path
import os, sys
pathway = Path()
path = str(sys.argv[1])
for file in pathway.glob(path):
if os.path.isdir(file):
des = file.stem.split('-')
... | true |
3c6338581209a9a2ef4c15d967b365aef86cb4fd | Shell | ThiruYadav/docker-splunk-1 | /init.sh | UTF-8 | 1,127 | 3.609375 | 4 | [] | no_license | #!/bin/bash
set -e
# if an 'etc' directory exists within the data dir, symlink it to where 'etc' lives
if [[ -d /opt/splunk/var/lib/splunk/etc ]]; then
mv /opt/splunk/etc /opt/splunk/.etc.old
ln -s /opt/splunk/var/lib/splunk/etc /opt/splunk/etc
fi
# if the etc directory is new, initialize it with the default con... | true |
a883524631c717e7e647136636b429f24afa491d | Shell | danwatford/trap0-tests | /trap_zero_test.sh | UTF-8 | 1,471 | 4.3125 | 4 | [] | no_license | # No hash-bang in this script. We intend it to be run as an argument to the shell to
# permit testing against multiple shells.
#
# trap_zero_test.sh
# Script to test which signals will cause trap zero to be executed for the shell
#
# For each signal under test:
# - launch a child process which has the task writing a s... | true |
dac64385ee6b509461730f2ddb392706f3f3cb4e | Shell | bmwiedemann/openSUSE | /packages/r/rdma-core/post_download.sh | UTF-8 | 1,029 | 2.953125 | 3 | [] | no_license | #!/bin/bash
# Script to be run after updating the spec file from a newer release
# Enable pyverbs by default
sed -i -e 's/^%define with_pyverbs .*$/%if 0%{?sle_version} > 120400\n%define with_pyverbs 1\n%else\n%define with_pyverbs 0\n%endif/' rdma-core.spec
# Disable static
sed -i -e 's/^%define with_static .*$/%defin... | true |
b853e0e219fdc8f3862dc23c137dfb0b26faf3ea | Shell | MoonHouseAaron/health-cloud-configuration | /orgInitAndData.sh | UTF-8 | 1,182 | 2.78125 | 3 | [] | no_license | #!/bin/bash
./orgInit.sh
if [ "$#" -eq 0 ]
then
SCRATCH_ORG_NAME="healthcloud"
else
SCRATCH_ORG_NAME=$1
fi
echo "Using ${SCRATCH_ORG_NAME} alias"
#SFDX DMU plugin: https://github.com/forcedotcom/SFDX-Data-Move-Utility/wiki
#Data Extract from existing org; if needed
#AUthenticate existing org for data extraction
#... | true |
5d31999e9a46292e0b865c4b5ec0e8bd25d48c75 | Shell | LeonSong1995/QTLEnrich | /src/concatenate_QTLEnrich_output_files.sh | UTF-8 | 781 | 3.734375 | 4 | [
"BSD-3-Clause",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/bash
# Shell script to concatenate outputs of QTLEnrich into one file
# Author: Andrew Hamel
# Written in the lab of Ayellet Segre, Massachusetts Eye and Ear, Harvard Medical School, Boston, MA
# Date: 12 February 2020
##### Inputs #####
# directory: directory where QTLEnrich output files were generated
# con... | true |
0122ebc6a9e0e2afb7204da980b783c0673b20a9 | Shell | sylashsu/dotfiles | /install.sh | UTF-8 | 970 | 3.671875 | 4 | [] | no_license | #!/bin/bash
set -e
function setup_git() {
echo 'Setting up git config...'
read -p 'Enter Github username: ' GIT_USER
git config --global user.name "$GIT_USER"
read -p 'Enter email: ' GIT_EMAIL
git config --global user.email $GIT_EMAIL
git config --global core.editor vim
echo 'Add GitHub a... | true |
2a1c10b1cff905ec22849e2c47429a681528818b | Shell | Kot2Na/42-roger-skyline-1 | /01-network-and-security/09-uppate_scheduled.sh | UTF-8 | 741 | 3.015625 | 3 | [] | no_license | #!/bin/bash
# Create a script that updates all the sources of package, then your packages
# and which logs the whole in a file named /var/log/update_script.log.
# Create a scheduled task for this script once a week at 4AM and every
# time the machine reboots.
# Создайте сценарий, который обновляет все источники пакет... | true |
479b73137135b79d0918d42b14db7285a0690775 | Shell | shu-ando/bin | /sshkeyput.sh | UTF-8 | 415 | 3.40625 | 3 | [] | no_license | #!/usr/bin/env bash
case "$#" in
"2" ) port=22 ;;
"3" ) port=$3 ;;
* ) printf "Usage: sshkeyput.sh user host [port]\n" ; exit 1 ;;
esac
ssh-keygen -C $USER@$HOSTNAME -f $HOME/.ssh/id_rsa -N ""
temp_file=$(mktemp)
scp -p -P $port $1@$2:~/.ssh/authorized_keys $temp_file
cat $HOME/.ssh/id_rsa.pub >>$temp_file
sort -u $... | true |
4339ef816b3afc4cbd02e193f34278331401d8b4 | Shell | olsaki/chef-repo | /bootstrap | UTF-8 | 1,033 | 3.109375 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
BIN_RVM=`which rvm`
if [ -z $BIN_RVM ]; then
BIN_CURL=`which curl`
if [ -z $BIN_CURL ]; then
echo "curl not found. Install curl to continue."
else
echo "Using $BIN_CURL"
fi
$BIN_CURL -L get.rvm.io | bash -s stable --auto
source /etc/profile.d/rvm.sh
BIN_RVM=`which rvm`
sudo ... | true |
818203343d21d59538329b49308d647b67b24a32 | Shell | prophetyang/namespace | /containerPID.sh | UTF-8 | 192 | 3.171875 | 3 | [] | no_license | #!/bin/bash
containers=`docker ps | awk '{ if (FNR > 1) print $1 }'`
for container in $containers; do
pid=`docker top $container | awk '{ if (FNR>1) print $2}'`
echo "$container $pid"
done
| true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.